# List site templates

Gets the site templates available in the environment that can be used for creating sites. Learn more about [site templates](https://doc.sitecore.com/xmc/en/developers/xm-cloud/create-a-site-template-for-the-xm-cloud-dashboard.html).

Endpoint: GET /api/v1/sites/templates
Version: v1
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http Bearer

## Query parameters:

  - `environmentId` (string)
    The identifier of the environment

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)
    The identifier of the site template.
Example value: {5AAE1EEA-EA24-40BF-96F1-1F43DA82C77B}
    Example: {5AAE1EEA-EA24-40BF-96F1-1F43DA82C77B}

  - `name` (string)
    The name of the site template.
Example value: Basic
    Example: Basic

  - `enabled` (boolean)
    Whether the template is available for use in the SitecoreAI Create a site UI.
Example value: True
    Example: true

  - `description` (string)
    The description of the site template.
Example value: An example of a simple website with homepage, subpage, navigation, and footer.
    Example: An example of a simple website with homepage, subpage, navigation, and footer.

  - `contents` (array)
    The summary of what pages, components, or integrations are included in the template.

  - `contents.key` (string)

  - `contents.value` (string)

  - `createdBy` (string)
    The author of the site template.
Example value: sitecore\L6kfw52Vf
    Example: sitecore\L6kfw52Vf

  - `updatedOn` (string)
    The date of the last update.
Example value: 2019-08-24T14:15:22Z
    Example: 2019-08-24T14:15:22Z

  - `thumbnail` (string)
    The thumbnail of the site template.
Example value: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png?w=176
    Example: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png?w=176

  - `image` (string)
    Large resolution screenshot of the site template.
Example value: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png
    Example: https://customer-tenant.sitecorecloud.io/-/media/Feature/JSS-Experience-Accelerator/Basic-Site/template-thumbnail.png

  - `metadata` (object)
    The site template metadata.
    Example: {"builtInTemplate":"true"}

## Response 400:

  - `400` (unknown)
    Bad request

## Response 400 fields (application/json):

  - `type` (string)
    The type of the error response entity.

  - `title` (string)
    The title of the error response entity.

  - `status` (integer)
    The response status code.

  - `detail` (string)
    A detailed explanation, specific to this occurrence of the problem.

  - `instance` (string)
    If available, a URI reference that identifies the specific occurrence of the problem.

